//
// decompose.h
//

#include "metaobjects.h"

		/* C FUNCTIONS */
		
#ifdef __cplusplus
extern "C" {
#endif

void ProcessMayaData(void);
void AddTriangleToBin(int materialNum, OGLPoint3D *points, OGLVector3D *normals, OGLTextureCoord *uvs, OGLColorRGBA_Byte *colors, OGLVector3D *mayaFaceNormal);
OSErr GetTextureMap(int matIndex, FSSpec *spec, MOMaterialData *matData);

#ifdef __cplusplus
}
#endif
